// Details on www.HomoFaciens.de
$fn = 400;


cable_clamp();

module cable_clamp(){
  cc_l = 81.0;
  cc_wall = 1.5;
  cc_h = 10;
  cc_r = 50;
  cc_x = cc_l/2;
  cc_clamp_di = 5;
  cc_clamp_do = 8.5;
  cc_gap = 1;
  
  alpha = asin(cc_x/cc_r);
  cc_y = cos(alpha)*cc_r;

  for(i=[0:1:1])mirror([i,0,0])
  translate([cc_x, -cc_y, 0])
  rotate([0, 0, 73]){
    difference(){
      cylinder(d=cc_clamp_do, h=cc_h, center=true);
      cylinder(d=cc_clamp_di+cc_gap, h=cc_h*1.1, center=true);
      translate([-cc_clamp_do/2, 0, 0]){
        cube(size=[cc_clamp_do, cc_wall+0.02, cc_h*2], center=true);
      }
    }
  }

  difference(){
    intersection(){
      cylinder(d=cc_r*2+cc_wall, h=cc_h, center=true);
      union(){
        
        difference(){
          union(){
            cylinder(d=cc_r*2+cc_wall, h=cc_h, center=true);
          }
          cylinder(d=cc_r*2-cc_wall, h=cc_h*1.1, center=true);
          translate([cc_r+cc_l/2, 0, 0]){
            cube(size=[cc_r*2, cc_r*2, cc_h*1.1], center=true);
          }
          translate([-(cc_r+cc_l/2), 0, 0]){
            cube(size=[cc_r*2, cc_r*2, cc_h*1.1], center=true);
          }
          translate([0, cc_r, 0]){
            cube(size=[cc_r*2, cc_r*2, cc_h*1.1], center=true);
          }
        }
      }
    }
    for(i=[0:1:1])mirror([i,0,0])
    translate([cc_x, -cc_y, 0]){
      cylinder(d=cc_clamp_di+1, h=cc_h*1.1, center=true);
    }
  }
    
  
}
